Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.cls
Class ClassNameTreeCellEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          javax.swing.DefaultCellEditor
              edu.stanford.smi.protegex.owl.ui.cls.ClassNameTreeCellEditor

All Implemented Interfaces:
  Serializable, CellEditor, TableCellEditor, TreeCellEditor

    public class ClassNameTreeCellEditor

extends DefaultCellEditor

A tree cell editor that allows the name of a class to be edited

Author:
  Nick Drummond, Medical Informatics Group, University of Manchester 17-Jan-2006
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.DefaultCellEditor
`DefaultCellEditor.EditorDelegate`

Field Summary

Fields inherited from class javax.swing.DefaultCellEditor
`clickCountToStart, delegate, editorComponent`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`ClassNameTreeCellEditor()`

Method Summary
`void` | `cancelCellEditing()`
`protected void` | `fireEditingStopped()`
`Object` | `getCellEditorValue()`
`Component` | `getTreeCellEditorComponent(JTree tree, Object value, boolean isSelected, boolean expanded, boolean leaf, int row)`

Methods inherited from class javax.swing.DefaultCellEditor
`getClickCountToStart, getComponent, getTableCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell, stopCellEditing`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, getCellEditorListeners, removeCellEditorListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Constructor Detail

### ClassNameTreeCellEditor

    public ClassNameTreeCellEditor()

Method Detail

### getTreeCellEditorComponent

    public Component getTreeCellEditorComponent(JTree tree,
                                                Object value,
                                                boolean isSelected,
                                                boolean expanded,
                                                boolean leaf,
                                                int row)

  Specified by:
    `getTreeCellEditorComponent` in interface `TreeCellEditor`
  Overrides:
    `getTreeCellEditorComponent` in class `DefaultCellEditor`

### getCellEditorValue

    public Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `CellEditor`
  Overrides:
    `getCellEditorValue` in class `DefaultCellEditor`

### fireEditingStopped

    protected void fireEditingStopped()

  Overrides:
    `fireEditingStopped` in class `AbstractCellEditor`

### cancelCellEditing

    public void cancelCellEditing()

  Specified by:
    `cancelCellEditing` in interface `CellEditor`
  Overrides:
    `cancelCellEditing` in class `DefaultCellEditor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.